/* PLAYMOD.rexx */
options RESULTS
ARG filename
if ~show(l, "rexxsupport.library") then
    if ~addlib("rexxsupport.library", 0, -30) then
	exit
IF  SHOW('P','EDPLAYER')  THEN DO   /* Already there */
    DELAY(5)
END
ELSE DO    
    ADDRESS COMMAND 'run >nil: <nil: edplayer:edplayer -i '
    count = 20;
    DO UNTIL   (SHOW('P','EDPLAYER') | (count <=0))
	DELAY(30)
    END
    IF (~   SHOW('P','EDPLAYER')) THEN DO
	SAY "AMOSAIC (Playmod.rexx): I'm afraid I can't start edplayer."
	SAY "Make sure that it is available as Edplayer:edlayer."
	EXIT
    END 
END 

/* Hires player, if deiconified */
ADDRESS 'EDPLAYER' 'SYNTH 2'
/* Asl file requester, ordinary size text */
ADDRESS 'EDPLAYER' 'FREQ 34'
ADDRESS 'EDPLAYER' 'JUKE '||filename
ADDRESS 'EDPLAYER' "PJUM"
ADDRESS 'EDPLAYER' "MESS Amiga Mosaic Music Playback"
Delay(30)

 /* if something still playing or paused,  leave alone */
DO  UNTIL (~((edstatus = 5) | (edstatus = 9)||(edstatus = 6)|(edstatus = 10)))
    ADDRESS 'EDPLAYER' "MESS Amiga Mosaic Music Playback. Mosaic is from the NCSA at the University of Illinois at Urbana Champagne. The Amiga port is by Michael Fischer, Michael Witbrock, and Michael Meyer. "
    Delay(1800)  /* 30 seconds */
    ADDRESS 'EDPLAYER' 'APLA'
    edstatus=RESULT
END
/* if everything finished, or we are stopped then leave viewer and delete */
ADDRESS 'EDPLAYER' 'KILL'
ADDRESS COMMAND 'DELETE '||filename

